JarException (Java Platform SE 8 )
Keywords: java.util.jar.JarException class
Date: 2016-12-09

compact1, compact2, compact3
java.util.jar

## Class JarException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.util.zip.ZipException
        - - java.util.jar.JarException

- All Implemented Interfaces:
    Serializable

      public class JarException
      extends ZipException

  Signals that an error of some sort has occurred while reading from or writing to a JAR file.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JarException()` Constructs a JarException with no detail message.
    `JarException(String s)` Constructs a JarException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JarException

          public JarException()

      Constructs a JarException with no detail message.

    - #### JarException

          public JarException(String s)

      Constructs a JarException with the specified detail message.
      Parameters:
        `s` - the detail message

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.